package application;

import javax.swing.*;
import javax.swing.event.*;

public class EditorContent extends JScrollPane {

    private EditorPane editorPane = null;

    public EditorContent() {
        super(VERTICAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER);
        editorPane = new EditorPane();
        getViewport().add(editorPane);
        getViewport().addChangeListener(new ChangeAction());
    }

    public EditorPane getEditorPane() {
        return editorPane;
    }

    class ChangeAction implements ChangeListener {

        public void stateChanged(ChangeEvent e) {
            CCPopup.hide();
            editorPane.setSize(getViewport().getWidth(), editorPane.getHeight());
        }

    }

}
