package language.java.ccinfo;

import java.lang.reflect.*;
import static com.sun.tools.javac.tree.JCTree.*;

public class FieldInfo extends language.CCInfo {

    String type;
    String declaringClass;

    public FieldInfo(Field f) {
        info = f.getName();
        type = f.getType().toString();
        declaringClass = f.getDeclaringClass().getName();
    }

    public FieldInfo(JCVariableDecl var, String cls) {
        info = var.getName().toString();
        type = var.getType().toString();
        declaringClass = cls;
    }

    public String toString() {
        return info + " - " + type;
    }

    public int getType() {
        return FIELD;
    }

}
