package language.xml;

import javax.swing.*;
import javax.swing.text.*;
import application.*;

public class XMLEditorKit extends DefaultEditorKit {

    XMLContext preferences;
    String filePath;

    public XMLEditorKit() {
        super();
        preferences = new XMLContext();
    }

    public void install(JEditorPane editor) {
        filePath = ((EditorPane) editor).getPath();
    }

    public XMLContext getStylePreferences() {
        return preferences;
    }

    public Document createDefaultDocument() {
        return new XMLDocument(filePath);
    }

    public String getContentType() {
        return "text/xml";
    }

    public ViewFactory getViewFactory() {
        return getStylePreferences();
    }

}
