package logging;

import java.util.logging.*;

class WindowHandler extends Handler {

    LogTextArea textArea = new LogTextArea();

    public synchronized void publish(LogRecord record) {
        String msg = null;

        if (!isLoggable(record))
            return;

        msg = getFormatter().format(record);
        textArea.append(msg);
    }

    public void flush() {
    }

    public void close() {
    }

    public LogTextArea getTextArea() {
        return textArea;
    }

}
