package main;

import javax.swing.UIManager;

import application.Application;
import logging.Logging;
import static logging.Logging.logger;

public final class Main {

    public static void main(String[] args) {

        Logging.init();

       // Logging.showLoggingWindow(); // FIXME
        Logging.setLevel(java.util.logging.Level.FINER);
        try {
            // Setting up the Look and Feel.
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e) {
            logger.throwing("main.Main", "main", e);
        }
        Application.run();
    }
}
