package language.html;

import javax.swing.*;
import javax.swing.text.*;
import application.*;

public class HTMLEditorKit extends DefaultEditorKit {

    HTMLContext preferences;
    String filePath;

    public HTMLEditorKit() {
        super();
        preferences = new HTMLContext();
    }

    public void install(JEditorPane editor) {
        filePath = ((EditorPane) editor).getPath();
    }

    public HTMLContext getStylePreferences() {
        return preferences;
    }

    public Document createDefaultDocument() {
        return new HTMLDocument(filePath);
    }

    public String getContentType() {
        return "text/html";
    }

    public ViewFactory getViewFactory() {
        return getStylePreferences();
    }

}