package language.java;

import javax.swing.*;
import javax.swing.text.*;
import application.*;

public class JavaEditorKit extends DefaultEditorKit {

    JavaContext preferences;
    String filePath;

    public JavaEditorKit() {
        super();
        preferences = new JavaContext();
    }

    public void install(JEditorPane editor) {
        filePath = ((EditorPane) editor).getPath();
    }

    public JavaContext getStylePreferences() {
        return preferences;
    }

    public Document createDefaultDocument() {
        return new JavaDocument(filePath);
    }

    public String getContentType() {
        return "text/java";
    }

    public ViewFactory getViewFactory() {
        return getStylePreferences();
    }

}
