package language.java.ccinfo;

import static com.sun.tools.javac.tree.JCTree.*;

public class ClassInfo extends language.CCInfo {

    String declaringClass;

    public ClassInfo(Class <?> c) {
        info = c.getSimpleName();
        if (c.getDeclaringClass() == null)
            declaringClass = null;
        else
            declaringClass = c.getDeclaringClass().getName();
    }

    public ClassInfo(JCClassDecl c, String cls) {
        info = c.getSimpleName().toString();
        declaringClass = cls;
    }

    public String toString() {
        return info;
    }

    public int getType() {
        return CLASS;
    }

}
